%define upstream_name    Alien-SeleniumRC
%define upstream_version 2.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Packaging up SeleniumRC java server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
The Selenium RC home page is at the http://openqa.org/selenium-rc manpage

Selenium Remote Control is a test tool that allows you to write automated
web application UI tests in any programming language against any HTTP
website using any mainstream JavaScript-enabled browser.

Selenium Remote Control provides a Selenium Server, which can automatically
start/stop/control any supported browser. It works by using Selenium Core,
a pure-HTML+JS library that performs automated tasks in JavaScript.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/selenium-rc

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.950.0-3.mga6
+ Revision: 1022493
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.950.0-2.mga6
+ Revision: 969178
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 2.950.0-1.mga6
+ Revision: 864290
- update to 2.95

* Sun Jul 05 2015 sander85 <sander85> 2.940.0-1.mga6
+ Revision: 851117
- update to 2.94

* Wed Oct 15 2014 umeabot <umeabot> 2.930.0-4.mga5
+ Revision: 744940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.930.0-3.mga5
+ Revision: 683468
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.930.0-2.mga4
+ Revision: 526314
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.930.0-1.mga4
+ Revision: 436597
- update to 2.93

* Sun Jan 13 2013 umeabot <umeabot> 2.920.0-2.mga3
+ Revision: 362922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 2.920.0-1.mga3
+ Revision: 285218
- update to 2.92

* Wed Feb 22 2012 kharec <kharec> 2.910.0-1.mga2
+ Revision: 211875
- update to 2.91

* Sat Nov 05 2011 kharec <kharec> 2.900.0-1.mga2
+ Revision: 163377
- update to 2.90

* Fri Oct 14 2011 jquelin <jquelin> 2.810.0-1.mga2
+ Revision: 154891
- update to 2.81

* Wed Oct 12 2011 takashi <takashi> 2.800.0-1.mga2
+ Revision: 154048
- update to 2.80

* Fri Jan 21 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 28364
- mageia rebuild
- imported package perl-Alien-SeleniumRC


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.30.0-1mdv2011.0
+ Revision: 624660
- import perl-Alien-SeleniumRC

